#!/bin/bash

sudo apt-get install cmake libace-dev git aptitude emacs subversion doxygen
sudo aptitude install libglib2.0-dev
sudo aptitude install libgtk2.0-dev
sudo aptitude install libgtkgl2.0-1
sudo aptitude install libgtkmm-2.4-dev
sudo aptitude install libgsl0-dev

git clone git://github.com/robotology/yarp.git
cd yarp
mkdir build 
cd build
cmake .. 
make
sudo make install  # Optional.
# Alternative: set environment variable YARP_DIR to .../yarp2/build
#              and add .../yarp2/build/bin to PATH
yarp check


svn co

cd iCub
mkdir build
cd build
cmake ../ -DCMAKE_BUILD_TYPE=Release -DENABLE_icubmod_cartesiancontrollerclient=ON -DENABLE_icubmod_cartesiancontrollerserver=ON -DENABLE_icubmod_gazecontrollerclient=ON -DENABLE_icubmod_debug_InterfaceClient=ON
make